% Mfile to read binary output file from VDSP SRC sample program

outFile = fopen('/DSP/out_1khz_44to48.dat','r'); 
% point to directory of output file

% note that the # is the number of bytes (2Bytes = 16bit words)

% must convert fixed point to floating point to plot it

% Do first 64 byte read and then a single byte read to remove unwanted
% byte?
[in,sa] = fread(outFile, 64, 'short=>float');

% Do 1 byte read to work around some problem with Matlab and/or file reading.
in2 = fread(outFile, 1, 'int8=>int8');

[in3,sb] = fread(outFile, inf, 'int16=>float');

in4 = cat (1, in, in3);
plot (in4);
title('VDSP output waveform')
%set(gca,'XTick',0:160/10:160)
%set(gca,'XTickLabel',{0:160})

